# Interface RcsbFvStateInterface

#### Hierarchy

- RcsbFvStateInterface

- Defined in RcsbFvState/RcsbFvStateInterface.ts:19

#####
Index

### Properties

assemblyModelSate
pfvContext
selectionState
subject

### Methods

next
subscribe
unsubscribe

## Properties

### `Readonly` assemblyModelSate

assemblyModelSate: AssemblyModelSate

- Defined in RcsbFvState/RcsbFvStateInterface.ts:22

### `Readonly` pfvContext

pfvContext: DataContainer<{
asymId?: string;
entryId: string;
operator?: OperatorInfo;
}>

#### Type declaration

- ##### `Optional` asymId?: string

- ##### entryId: string

- ##### `Optional` operator?: OperatorInfo

- Defined in RcsbFvState/RcsbFvStateInterface.ts:23

### `Readonly` selectionState

selectionState: RcsbFvSelectorManager

- Defined in RcsbFvState/RcsbFvStateInterface.ts:21

### `Readonly` subject

subject: Subject<RcsbFvStateType<any, any>>

- Defined in RcsbFvState/RcsbFvStateInterface.ts:24

## Methods

### next

- next<T, D>(state): void

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### state: RcsbFvStateType<T, D>

  #### Returns void

  - Defined in RcsbFvState/RcsbFvStateInterface.ts:27

### subscribe

- subscribe<T, D>(o): Subscription

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### o: ((state) => void)

    - - (state): void

      - #### Parameters

        - ##### state: RcsbFvStateType<T, D>

        #### Returns void

  #### Returns Subscription

  - Defined in RcsbFvState/RcsbFvStateInterface.ts:26

### unsubscribe

- unsubscribe(): void

- #### Returns void

  - Defined in RcsbFvState/RcsbFvStateInterface.ts:28

Generated using TypeDoc